## etl 0.3.1

=== DESCRIPTION ===
Package: etl
Type: Package
Title: Extract-Transfer-Load Framework for Medium Data
Version: 0.3.1
Date: 2016-06-07
Authors@R: c(
    person("Ben", "Baumer", email = "ben.baumer@gmail.com",
      role = c("aut", "cre")),
    person("Carson", "Sievert", email = "cpsievert1@gmail.com", role = "ctb"))
Maintainer: Ben Baumer <ben.baumer@gmail.com>
Description: A framework for loading medium-sized data from
    the Internet to a local or remote relational database management system.
    This package itself doesn't do much more than provide a toy example and set up
    the method structure. Packages that depend on this package will facilitate the
    construction and maintenance of their respective databases.
License: CC0
LazyData: TRUE
Imports: DBI, datasets, methods, utils
Depends: R (>= 2.10), dplyr
Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, testthat
URL: http://github.com/beanumber/etl
BugReports: https://github.com/beanumber/etl/issues
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-06-08 01:42:33 UTC; bbaumer
Author: Ben Baumer [aut, cre],
  Carson Sievert [ctb]
Repository: CRAN
Date/Publication: 2016-06-08 05:47:00

## etl 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: etl
 Type: Package
-Title: Extract-Transfer-Load Framework for Medium Data
-Version: 0.3.1
-Date: 2016-06-07
+Title: Extract-Transform-Load Framework for Medium Data
+Version: 0.3.3
+Date: 2016-07-27
 Authors@R: c(
     person("Ben", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre")),
@@ -15,15 +15,15 @@
     construction and maintenance of their respective databases.
 License: CC0
 LazyData: TRUE
-Imports: DBI, datasets, methods, utils
+Imports: DBI, datasets, lubridate, methods, stringr, tidyr, utils
 Depends: R (>= 2.10), dplyr
-Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, testthat
+Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2, testthat
 URL: http://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-06-08 01:42:33 UTC; bbaumer
+Packaged: 2016-07-27 13:38:21 UTC; bbaumer
 Author: Ben Baumer [aut, cre],
   Carson Sievert [ctb]
 Repository: CRAN
-Date/Publication: 2016-06-08 05:47:00
+Date/Publication: 2016-07-27 23:36:40

## etl 0.3.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.3.3
+Version: 0.3.3.1
 Date: 2016-07-27
 Authors@R: c(
     person("Ben", "Baumer", email = "ben.baumer@gmail.com",
@@ -22,8 +22,8 @@
 BugReports: https://github.com/beanumber/etl/issues
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-07-27 13:38:21 UTC; bbaumer
+Packaged: 2016-09-26 10:43:01 UTC; ripley
 Author: Ben Baumer [aut, cre],
   Carson Sievert [ctb]
 Repository: CRAN
-Date/Publication: 2016-07-27 23:36:40
+Date/Publication: 2016-09-26 12:47:44

## etl 0.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.3.3.1
-Date: 2016-07-27
+Version: 0.3.4
+Date: 2016-11-07
 Authors@R: c(
     person("Ben", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre")),
@@ -15,15 +15,16 @@
     construction and maintenance of their respective databases.
 License: CC0
 LazyData: TRUE
-Imports: DBI, datasets, lubridate, methods, stringr, tidyr, utils
+Imports: DBI, datasets, downloader, lubridate, methods, stringr, readr,
+        utils
 Depends: R (>= 2.10), dplyr
 Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2, testthat
 URL: http://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-09-26 10:43:01 UTC; ripley
+Packaged: 2016-11-07 18:10:04 UTC; bbaumer
 Author: Ben Baumer [aut, cre],
   Carson Sievert [ctb]
 Repository: CRAN
-Date/Publication: 2016-09-26 12:47:44
+Date/Publication: 2016-11-15 19:56:21

## etl 0.3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.3.4
-Date: 2016-11-07
+Version: 0.3.5
+Date: 2016-11-28
 Authors@R: c(
     person("Ben", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre")),
@@ -23,8 +23,8 @@
 BugReports: https://github.com/beanumber/etl/issues
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-11-07 18:10:04 UTC; bbaumer
+Packaged: 2016-11-29 14:42:22 UTC; bbaumer
 Author: Ben Baumer [aut, cre],
   Carson Sievert [ctb]
 Repository: CRAN
-Date/Publication: 2016-11-15 19:56:21
+Date/Publication: 2016-11-29 18:10:32

## etl 0.3.6

=== DESCRIPTION ===
Package: etl
Type: Package
Title: Extract-Transform-Load Framework for Medium Data
Version: 0.3.6
Date: 2017-07-20
Authors@R: c(
    person("Ben", "Baumer", email = "ben.baumer@gmail.com",
      role = c("aut", "cre")),
    person("Carson", "Sievert", email = "cpsievert1@gmail.com", role = "ctb"))
Maintainer: Ben Baumer <ben.baumer@gmail.com>
Description: A framework for loading medium-sized data from
    the Internet to a local or remote relational database management system.
    This package itself does not do much more than provide a toy example and set up
    the method structure. Packages that depend on this package will facilitate the
    construction and maintenance of their respective databases.
License: CC0
LazyData: TRUE
Imports: DBI, datasets, downloader, lubridate, methods, stringr, readr,
        utils
Depends: R (>= 2.10), dplyr
Suggests: dbplyr, knitr, RSQLite, RPostgreSQL, RMySQL, MonetDBLite,
        ggplot2, testthat
URL: http://github.com/beanumber/etl
BugReports: https://github.com/beanumber/etl/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-07-20 16:13:34 UTC; bbaumer
Author: Ben Baumer [aut, cre],
  Carson Sievert [ctb]
Repository: CRAN
Date/Publication: 2017-07-21 09:18:44 UTC

## etl 0.3.7

=== DESCRIPTION ===
Package: etl
Type: Package
Title: Extract-Transform-Load Framework for Medium Data
Version: 0.3.7
Date: 2017-09-25
Authors@R: c(
    person("Ben", "Baumer", email = "ben.baumer@gmail.com",
      role = c("aut", "cre")),
    person("Carson", "Sievert", email = "cpsievert1@gmail.com", role = "ctb"))
Maintainer: Ben Baumer <ben.baumer@gmail.com>
Description: A predictable and pipeable framework for performing ETL 
    (extract-transform-load) operations on publicly-accessible medium-sized data 
    set. This package sets up the method structure and implements generic 
    functions. Packages that depend on this package download specific data sets 
    from the Internet, clean them up, and import them into a local or remote 
    relational database management system.
License: CC0
LazyData: TRUE
Imports: DBI, datasets, downloader, lubridate, methods, stringr, readr,
        rlang, rvest, tibble, utils, xml2
Depends: R (>= 2.10), dplyr
Suggests: devtools, dbplyr, knitr, macleish, RSQLite, RPostgreSQL,
        RMySQL, MonetDBLite, ggplot2, testthat, rmarkdown
URL: http://github.com/beanumber/etl
BugReports: https://github.com/beanumber/etl/issues
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-09-27 19:56:18 UTC; bbaumer
Author: Ben Baumer [aut, cre],
  Carson Sievert [ctb]
Repository: CRAN
Date/Publication: 2017-09-27 20:30:40 UTC

## etl 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.3.7
-Date: 2017-09-25
+Version: 0.3.8
 Authors@R: c(
     person("Ben", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre")),
@@ -16,18 +15,20 @@
     relational database management system.
 License: CC0
 LazyData: TRUE
-Imports: DBI, datasets, downloader, lubridate, methods, stringr, readr,
-        rlang, rvest, tibble, utils, xml2
+Imports: DBI, datasets, downloader, janitor, lubridate, methods,
+        stringr, readr, rlang, rvest, tibble, usethis, utils, xml2
 Depends: R (>= 2.10), dplyr
-Suggests: devtools, dbplyr, knitr, macleish, RSQLite, RPostgreSQL,
-        RMySQL, MonetDBLite, ggplot2, testthat, rmarkdown
+Suggests: dbplyr, knitr, macleish, RSQLite, RPostgreSQL, RMySQL,
+        ggplot2, testthat, rmarkdown
 URL: http://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
-RoxygenNote: 6.0.1
-VignetteBuilder: knitr
+RoxygenNote: 7.0.2
+Encoding: UTF-8
+VignetteBuilder: knitr, rmarkdown, etl, macleish, ggplot2, dplyr,
+        dbplyr
 NeedsCompilation: no
-Packaged: 2017-09-27 19:56:18 UTC; bbaumer
+Packaged: 2019-12-18 17:06:35 UTC; bbaumer
 Author: Ben Baumer [aut, cre],
   Carson Sievert [ctb]
 Repository: CRAN
-Date/Publication: 2017-09-27 20:30:40 UTC
+Date/Publication: 2019-12-18 18:20:02 UTC

## etl 0.3.9

=== DESCRIPTION ===
Package: etl
Type: Package
Title: Extract-Transform-Load Framework for Medium Data
Version: 0.3.9
Authors@R: c(
    person("Ben", "Baumer", email = "ben.baumer@gmail.com",
      role = c("aut", "cre")),
    person("Carson", "Sievert", email = "cpsievert1@gmail.com", role = "ctb"),
    person("Natalia", "Iannucci", role = "ctb")
    )
Maintainer: Ben Baumer <ben.baumer@gmail.com>
Description: A predictable and pipeable framework for performing ETL 
    (extract-transform-load) operations on publicly-accessible medium-sized data 
    set. This package sets up the method structure and implements generic 
    functions. Packages that depend on this package download specific data sets 
    from the Internet, clean them up, and import them into a local or remote 
    relational database management system.
License: CC0
LazyData: TRUE
Imports: DBI, datasets, downloader, fs, janitor, lubridate, methods,
        stringr, readr, rlang, rvest, tibble, usethis, utils, xml2
Depends: R (>= 2.10), dplyr
Suggests: dbplyr, knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2,
        testthat, rmarkdown
URL: http://github.com/beanumber/etl
BugReports: https://github.com/beanumber/etl/issues
RoxygenNote: 7.1.0
Encoding: UTF-8
VignetteBuilder: knitr, rmarkdown, ggplot2, dplyr, dbplyr
NeedsCompilation: no
Packaged: 2020-06-01 16:58:06 UTC; bbaumer
Author: Ben Baumer [aut, cre],
  Carson Sievert [ctb],
  Natalia Iannucci [ctb]
Repository: CRAN
Date/Publication: 2020-06-02 15:50:06 UTC

## etl 0.4.0

=== DESCRIPTION ===
Package: etl
Type: Package
Title: Extract-Transform-Load Framework for Medium Data
Version: 0.4.0
Authors@R: c(
    person("Benjamin S.", "Baumer", email = "ben.baumer@gmail.com",
      role = c("aut", "cre"), 
           comment = c(ORCID = "0000-0002-3279-0516")),
    person("Carson", "Sievert", email = "cpsievert1@gmail.com", role = "ctb"),
    person("Natalia", "Iannucci", role = "ctb")
    )
Maintainer: Benjamin S. Baumer <ben.baumer@gmail.com>
Description: A predictable and pipeable framework for performing ETL 
    (extract-transform-load) operations on publicly-accessible medium-sized data 
    set. This package sets up the method structure and implements generic 
    functions. Packages that depend on this package download specific data sets 
    from the Internet, clean them up, and import them into a local or remote 
    relational database management system.
License: CC0
Imports: DBI, datasets, downloader, fs, janitor, lubridate, methods,
        readr, rlang, rvest, tibble, usethis, utils, xml2
Depends: R (>= 2.10), dplyr
Suggests: dbplyr, knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2,
        testthat, rmarkdown
URL: https://github.com/beanumber/etl
BugReports: https://github.com/beanumber/etl/issues
RoxygenNote: 7.1.1
Encoding: UTF-8
VignetteBuilder: knitr, rmarkdown, ggplot2, dplyr, dbplyr
NeedsCompilation: no
Packaged: 2021-05-17 17:51:45 UTC; bbaumer
Author: Benjamin S. Baumer [aut, cre] (<https://orcid.org/0000-0002-3279-0516>),
  Carson Sievert [ctb],
  Natalia Iannucci [ctb]
Repository: CRAN
Date/Publication: 2021-05-17 21:50:14 UTC

## etl 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.4.0
+Version: 0.4.1
 Authors@R: c(
     person("Benjamin S.", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre"), 
@@ -17,20 +17,20 @@
     from the Internet, clean them up, and import them into a local or remote 
     relational database management system.
 License: CC0
-Imports: DBI, datasets, downloader, fs, janitor, lubridate, methods,
-        readr, rlang, rvest, tibble, usethis, utils, xml2
+Imports: DBI, dbplyr, datasets, downloader, fs, janitor, lubridate,
+        methods, readr, rlang, rvest, tibble, usethis, utils, xml2
 Depends: R (>= 2.10), dplyr
-Suggests: dbplyr, knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2,
-        testthat, rmarkdown
+Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2, testthat,
+        rmarkdown
 URL: https://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 VignetteBuilder: knitr, rmarkdown, ggplot2, dplyr, dbplyr
 NeedsCompilation: no
-Packaged: 2021-05-17 17:51:45 UTC; bbaumer
+Packaged: 2023-10-12 18:46:26 UTC; bbaumer
 Author: Benjamin S. Baumer [aut, cre] (<https://orcid.org/0000-0002-3279-0516>),
   Carson Sievert [ctb],
   Natalia Iannucci [ctb]
 Repository: CRAN
-Date/Publication: 2021-05-17 21:50:14 UTC
+Date/Publication: 2023-10-12 19:10:02 UTC

## etl 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.4.1
+Version: 0.4.2
 Authors@R: c(
     person("Benjamin S.", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre"), 
@@ -19,18 +19,19 @@
 License: CC0
 Imports: DBI, dbplyr, datasets, downloader, fs, janitor, lubridate,
         methods, readr, rlang, rvest, tibble, usethis, utils, xml2
-Depends: R (>= 2.10), dplyr
-Suggests: knitr, RSQLite, RPostgreSQL, RMySQL, ggplot2, testthat,
+Depends: R (>= 4.2), dplyr
+Suggests: knitr, RSQLite, RPostgres, RMariaDB, ggplot2, testthat,
         rmarkdown
 URL: https://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 VignetteBuilder: knitr, rmarkdown, ggplot2, dplyr, dbplyr
 NeedsCompilation: no
-Packaged: 2023-10-12 18:46:26 UTC; bbaumer
-Author: Benjamin S. Baumer [aut, cre] (<https://orcid.org/0000-0002-3279-0516>),
+Packaged: 2025-07-24 18:45:06 UTC; bbaumer
+Author: Benjamin S. Baumer [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-3279-0516>),
   Carson Sievert [ctb],
   Natalia Iannucci [ctb]
 Repository: CRAN
-Date/Publication: 2023-10-12 19:10:02 UTC
+Date/Publication: 2025-07-24 19:10:02 UTC

## etl 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: etl
 Type: Package
 Title: Extract-Transform-Load Framework for Medium Data
-Version: 0.4.2
+Version: 0.4.3
 Authors@R: c(
     person("Benjamin S.", "Baumer", email = "ben.baumer@gmail.com",
       role = c("aut", "cre"), 
@@ -24,14 +24,14 @@
         rmarkdown
 URL: https://github.com/beanumber/etl
 BugReports: https://github.com/beanumber/etl/issues
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Encoding: UTF-8
 VignetteBuilder: knitr, rmarkdown, ggplot2, dplyr, dbplyr
 NeedsCompilation: no
-Packaged: 2025-07-24 18:45:06 UTC; bbaumer
+Packaged: 2026-02-16 20:11:41 UTC; bbaumer
 Author: Benjamin S. Baumer [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-3279-0516>),
   Carson Sievert [ctb],
   Natalia Iannucci [ctb]
 Repository: CRAN
-Date/Publication: 2025-07-24 19:10:02 UTC
+Date/Publication: 2026-02-17 06:10:51 UTC

## etl 0.04.15

=== debian/changelog ===
etl (0.04.15-1) unstable; urgency=low

  * New maintainers (Closes: #665041)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + corrected Vcs-Browser URL
    + allow dh_auto_test failure (fixes FTBFS)
    + Maintainer set to d-multimedia

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:24:53 +1000

etl (0.04.13-1) unstable; urgency=low

  * QA Upload
  * Proper orphaning: clean up Uploaders and set Maintainer to QA
  * New upstream release
  * Bump standards-version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 24 Jan 2010 00:24:18 +0100

etl (0.04.12-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 18:55:46 +0100

etl (0.04.12-2) unstable; urgency=low

  * Upload to unstable
  * Drop Voria from the package description in line with upstream
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep

 -- Paul Wise <pabs@debian.org>  Wed, 25 Feb 2009 02:24:08 +0900

etl (0.04.12-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release
  * Wrap the uploaders and build-deps fields
  * Support parallel builds
  * Now compliant with policy 3.8.0

 -- Paul Wise <pabs@debian.org>  Thu, 13 Nov 2008 14:14:35 +0900

etl (0.04.11-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Move the homepage from “synfig.com” to “synfig.org”.
  * Bump Standards-Version from 3.7.2 to 3.7.3 (no changes needed).

  [ Paul Wise ]
  * Drop the documentation from the package. If you used it, please
    visit the upstream website: http://synfig.org/api/

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:50:42 +0100

etl (0.04.10-1) unstable; urgency=low

  * New upstream release.

 -- Paul Wise <pabs@debian.org>  Thu, 11 Oct 2007 11:04:40 +1000

etl (0.04.10~rc3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to the Uploaders.
  * Add Homepage, Vcs-Browser, and Vcs-Svn fields to the source package.
  * Do not add the following to Build-Depends since only the HTML
    documentation is being generated, not the PDF one:
     - texlive-extra-utils for epstopdf.
     - gs-esp | gs-gpl for gs.
  * No longer ignore make distclean errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 01:50:24 +0200

etl (0.04.09-1) unstable; urgency=low

  * New upstream release
    - prevents synfig FTBFS with GCC 4.3 (Closes: #417897)
  * Change my email address now that I'm a Debian Developer
  * Bump Standards-Version and debhelper compatability level
  * Add the synfig website as the Homepage
  * Add missed copyright information to debian/copyright
  * Install the new upstream README, NEWS, AUTHORS, ChangeLog
  * Enable make check but ignore any failures
  * Use sourceforge in the watch file

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jun 2007 11:02:27 +0100

etl (0.04.08-2) unstable; urgency=low

  * Change maintainer to the list, move me to uploaders
  * Add changes to prevent synfig FTBFS on alpha/amd64. Closes: #358474

 -- Paul Wise <pabs3@bonedaddy.net>  Thu, 30 Mar 2006 20:18:18 +0800

etl (0.04.08-1) unstable; urgency=low

  * New upstream release
    - Updates doxygen configuration. Closes: #347538
  * Add Fabian Fagerholm and David Martínez Moreno as co-maintainers

 -- Paul Wise <pabs3@bonedaddy.net>  Wed,  1 Mar 2006 12:44:28 +0800

etl (0.04.07-2) unstable; urgency=low

  * Downgrade debhelper compatability to 4 to ease backporting (Closes: #347514)

 -- Paul Wise <pabs3@bonedaddy.net>  Wed, 11 Jan 2006 17:13:13 +0800

etl (0.04.07-1) unstable; urgency=low

  * Initial release (Closes: #337477)
  * Disabled generation of latex docs, since they are not used

 -- Paul Wise <pabs3@bonedaddy.net>  Mon,  7 Nov 2005 13:33:17 +0800

=== debian/control ===
Source: etl
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://www.synfig.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-etl.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-etl.git

Package: etl-dev
Architecture: any
Depends: ${misc:Depends}
Description: Extended Class and Template Library
 ETL is a multi-platform class and template library designed to
 add new datatypes and functions which combine well with the existing
 types and functions from the C++ Standard Template Library (STL).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	# do not stop if test(s) failed
	-dh_auto_test

=== debian/watch ===
version=3
http://sf.net/synfig/ETL-([-0-9.]*)\.tar\.gz

## etl 0.04.16

=== debian/changelog ===
etl (0.04.16-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 May 2013 19:36:15 +1000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Denis Washington <denisw@online.de>,
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.synfig.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-etl.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-etl.git

## etl 0.04.17

=== debian/changelog ===
etl (0.04.17-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 13:33:31 +1100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Denis Washington <denisw@online.de>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.synfig.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-etl.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-etl.git

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,5 @@
 	# do not stop if test(s) failed
 	-dh_auto_test
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## etl 0.04.18

=== debian/changelog ===
etl (0.04.18-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Standards-Version: 3.9.6.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 03:01:19 +1000

## etl 0.04.19

=== debian/changelog ===
etl (0.04.19-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 17:56:09 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.synfig.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-etl.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-etl.git

=== debian/watch ===
version=3
http://sf.net/synfig/ETL-([-0-9.]+)\.tar\.(?:gz|xz|bz2)

## etl 1.2.1

=== debian/changelog ===
etl (1.2.1-1) unstable; urgency=medium

  * New patch to fix FTBFS with GCC8 (Closes: #897745)
    Thanks, Philip Chung.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.5.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Jul 2018 01:13:18 +1000

etl (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Bump standards vesion.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Apr 2018 23:14:24 +0200

etl (0.04.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream gcc 7 fix. (Closes: #853674)
  * Make test failures fatal to catch such errors earlier.
  * Stop setting the (already default) xz compression.

 -- Adrian Bunk <bunk@debian.org>  Sun, 01 Oct 2017 19:19:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: etl
 Section: libdevel
 Priority: optional
+Standards-Version: 4.1.5
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11~)
 Homepage: http://www.synfig.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synfig-etl.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synfig-etl.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/etl
+Vcs-Git: https://salsa.debian.org/multimedia-team/etl.git
 
 Package: etl-dev
 Architecture: any

## etl 1.2.2

=== debian/changelog ===
etl (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Change Maintainer to @lists.debian.org
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Jan 2019 14:38:24 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: etl
 Section: libdevel
 Priority: optional
-Standards-Version: 4.1.5
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.3.0
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~)
 Homepage: http://www.synfig.org/

=== debian/watch ===
version=3
https://sf.net/synfig/ETL-([-0-9.]+)\.tar\.(?:gz|xz|bz2)

## etl 1.4.0

=== debian/changelog ===
etl (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dmitry Smirnov ]
  * New upstream release
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * "watch" file to track GitHub releases
  * DH to version 13

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:39:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: etl
 Section: libdevel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13)
 Homepage: http://www.synfig.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/etl
 Vcs-Git: https://salsa.debian.org/multimedia-team/etl.git
+Rules-Requires-Root: no
 
 Package: etl-dev
 Architecture: any

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/synfig/synfig/releases \
  .*/ETL\-(\d[\d\.]+)@ARCHIVE_EXT@$

## etl 1.4.2

=== debian/changelog ===
etl (1.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 07 Sep 2021 20:23:44 +1200

## etl 1.5.1

=== debian/changelog ===
etl (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Build-Depends:
    + pkg-config
    + libglibmm-2.4-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:03:21 +1000

etl (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Backport fix from upstream to provide compatibility with GCC-11, with
    thanks to Rodolfo Ribeiro Gomes for pointing out the relevant commit
    (Closes: #984053)

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Mar 2022 16:49:38 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: etl
 Section: libdevel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13) ,pkg-config
+    ,libglibmm-2.4-dev
 Homepage: http://www.synfig.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/etl
 Vcs-Git: https://salsa.debian.org/multimedia-team/etl.git

## etl 1.5.3

=== debian/changelog ===
etl (1.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1099918)
  * Drop backported patch: it is now obsolete
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
  * Build-Depends:
    - pkgconf
    - libglibmm-2.4-dev
  * Standards-Version: 4.7.1 (no changes required)

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sun, 09 Mar 2025 08:10:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: etl
 Section: libdevel
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.1
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 13) ,pkg-config
-    ,libglibmm-2.4-dev
+Build-Depends: debhelper-compat (= 13) 
 Homepage: http://www.synfig.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/etl
 Vcs-Git: https://salsa.debian.org/multimedia-team/etl.git
